#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8B,0xA8,0x72,0xC9,0x0E,0xB7,0xA0,0x8D,0x85,0x48,0xDB,0xDD,
		0xA0,0xC5,0x31,0xC1,0xA1,0xC9,0xC1,0x7F,0x13,0x3D,0x94,0x54,
		0xDA,0x28,0x62,0x30,0xB6,0x4D,0xBE,0x46,0x18,0xF7,0xDF,0x78,
		0x16,0xD4,0xF1,0xD0,0xB5,0x41,0xD4,0x3B,0xD0,0xE5,0xC5,0x59,
		0x3D,0x17,0x43,0x61,0xEC,0x12,0x7E,0x31,0x25,0x80,0x3E,0x58,
		0x52,0x14,0x81,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
